/*-------------------------------------------------------------------
  All code is provided for EDUCATIONAL purposes ONLY. There is no
  warranty and no support.

  Copyright (c) Jack Botner and licensed under the MIT license; see
  http://opensource.org/licenses/mit-license.php

  common.h by Jack Botner 2007
-------------------------------------------------------------------*/

#ifndef _COMMON_H_
#define _COMMON_H_ 1

#define BOOL    char

#define FALSE   0
#define TRUE    (!FALSE)
//#define NULL    0

#define nop() do { __asm__ __volatile__ ("nop"); } while (0)

// The following macros set/clear bits

#define set_bit(port,bit)  (port |= (1<<bit))
#define clear_bit(port,bit)  (port &= ~(1<<bit))
#define test_bit( reg, bitNumb )   ((reg) & (1 << (bitNumb)))

#endif

